Home

# Class goog.ui.ToolbarColorMenuButtonRenderer

Toolbar-style renderer for {@link goog.ui.ColorMenuButton}s.

extends goog.ui.ToolbarMenuButtonRenderer

Instance Method Summary
| `createCaption(?goog.ui.ControlContent content, ?goog.dom.DomHelper dom) ⇒ ?Element` Overrides the superclass implementation by wrapping the caption text or DOM structure in a color indicator element. Creates the following DOM structure:
| `initializeDom(?goog.ui.ColorMenuButton button)` Initializes the button's DOM when it enters the document. Overrides the superclass implementation by making sure the button's color indicator is initialized.
| `setValue(?Element element, <Any Type> value)` Takes a color menu button control's root element and a value object (which is assumed to be a color), and updates the button's DOM to reflect the new color. Overrides {@link goog.ui.ButtonRenderer#setValue}.